Error
A valid request URL is required to generate request examples{
"success": true,
"message": "Withdrawal status retrieved",
"data": {
"id": "5f9b2c7b9c9d6b0017b4e6b1",
"amount": 10,
"walletId": "5f9b2c7b9c9d6b0017b4e6b1",
"referenceId": "5f9b2c7b9c9d6b0017b4e6b1",
"status": "RETRY",
"referenceNumber": 123,
"created_at": "2023-11-07T05:31:56Z",
"transactionCost": 123,
"transactionAmount": 123,
"customerKey": "<string>",
"integratorFeeAmount": 123,
"integratorFee": 123,
"integratorCommissionType": "PERCENTAGE",
"errorMessage": "<string>",
"callbackUrl": "https://example.com",
"currency": "USD",
"network": "<string>",
"confirmationId": "<string>",
"transactionError": "<string>",
"telcoId": "<string>",
"completed_at": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"message": "Unauthorized",
"data": {}
}{
"success": false,
"message": "Reference Id not found",
"data": {}
}Mobile Money Withdrawals
Mobile Money Withdrawal Status
This endpoint will return the status of the withdrawal request.
GET
/
api
/
v3
/
withdraw
/
status
/
{reference_id}
Error
A valid request URL is required to generate request examples{
"success": true,
"message": "Withdrawal status retrieved",
"data": {
"id": "5f9b2c7b9c9d6b0017b4e6b1",
"amount": 10,
"walletId": "5f9b2c7b9c9d6b0017b4e6b1",
"referenceId": "5f9b2c7b9c9d6b0017b4e6b1",
"status": "RETRY",
"referenceNumber": 123,
"created_at": "2023-11-07T05:31:56Z",
"transactionCost": 123,
"transactionAmount": 123,
"customerKey": "<string>",
"integratorFeeAmount": 123,
"integratorFee": 123,
"integratorCommissionType": "PERCENTAGE",
"errorMessage": "<string>",
"callbackUrl": "https://example.com",
"currency": "USD",
"network": "<string>",
"confirmationId": "<string>",
"transactionError": "<string>",
"telcoId": "<string>",
"completed_at": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"message": "Unauthorized",
"data": {}
}{
"success": false,
"message": "Reference Id not found",
"data": {}
}This endpoint will return the status of the mobile money withdrawal request.
The
reference_id path parameter accepts either the Kotani platform reference ID or the telco/MNO transaction ID — whichever is available.